import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/kazokuma/24b6477275a81de19898f9c09541dba2/raw/18f04f9ab1b11051119efcdf79ccc2a5fe4d1ae7/20211026MissingMigrants-Global-subset.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    const row = (d) => {
      d['Total Number of Dead and Missing'] = +d['Total Number of Dead and Missing'];
      d['Incident Date'] = new Date(d['Incident Date'].slice(0,15));
      return d;
    };

    csv(csvUrl, row).then(setData);
  }, []);
  
	return data;
};
